<?php

namespace App\Domain\Complaints\Models;

use App\Models\User;
use App\Models\Model;
use App\Domain\Comments\Models\Comment;
use App\Domain\Complaints\Models\Reason;

class CommentComplaint extends Model
{

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function moderator()
    {
        return $this->belongsTo(User::class, 'moderator_checking_id');
    }

    public function reason()
    {
        return $this->belongsTo(Reason::class);
    }

    public function comment()
    {
        return $this->belongsTo(Comment::class);
    }
}
